function [f,g] = mushrooms(x, S)
persistent F G;
if isempty(F) || isempty(G)
load('tanhEnv', 'mushrooms_f', 'mushrooms_g');
F = mushrooms_f; G = mushrooms_g;
end
f = F(x,S);
if nargout > 1
g = G(x,S);
end
end
